package document_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"os"
)

type DocumentAddsponsorfileRequest struct {
	// <ext>core:true</ext> 【文件签约文件id】文件签约文件id 【作用】 查询需添加内部附件的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractId string `json:"contractId,omitempty"`
	// <ext>core:true</ext> 【第三方业务系统文件id】第三方业务系统文件id 【作用】 查询需添加内部附件的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true</ext> 【附件】附件 【作用】 用于上传本地文件，文件上传后系统将自动将文档转换为PDF格式，方便后续进行签署 【传参】 1、支持的文件格式：pdf，doc，docx，wps，rtf，png，gif，jpg，jpeg，tiff，html，htm，xls，xlsx，txt，ofd，dwg，ppt，pptx。 2、上传CAD图纸（dwg格式），请先开启【电子签章管理后台-自定义配置】DWG_SWITCH。
	File *os.File `json:"file"`
	// <ext>core:true</ext> 【附件名称】附件名称 【作用】 用于传入上传的附件文档的名称
	Title string `json:"title"`
}

func (obj DocumentAddsponsorfileRequest) GetUrl() string {
	return "/document/addsponsorfile"
}

func (obj DocumentAddsponsorfileRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("contractId", obj.ContractId)
	parameter.AddParam("bizId", obj.BizId)
	parameter.AddParam("title", obj.Title)
	parameter.AddFiles("file", obj.File)
	return parameter
}
